Index: roard/include/client.h
===================================================================
--- roard/include/client.h	(revision 6052)
+++ roard/include/client.h	(revision 0)
@@ -1,26 +1,3 @@
 //client.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
 
 #ifndef _CLIENT_H_
@@ -47,115 +24,30 @@
 */
 
-// access level:
-enum roard_client_acclev {
- ACCLEV_ERROR    = -1, // used as erorr return value.
- ACCLEV_NONE     =  0, // only very basic commands like NOOP and IDENTIFY
- ACCLEV_IDENTED,       // same as NONE but INDENTIFY worked.
- ACCLEV_CONCTL,        // only allowed to do basic connection things.
- ACCLEV_GUEST,         // guest connection (read only)
- ACCLEV_USER,          // normal user connect (read write)
- ACCLEV_PWRUSER,       // power user, may access other user's clients
- ACCLEV_ALL            // full (admin) access (read write ctl)
-};
+struct roar_client * g_clients[ROAR_CLIENTS_MAX];
 
-struct roar_client_nsubscribe {
- struct roar_subscriber * sub;
-};
-
-extern struct roar_client_server {
- struct roar_client _client;
- size_t blockc;
- struct roar_subscriber ** waits;
- enum roard_client_acclev acclev;
- // may be used by protocols working directly on big data blocks to buffer a bit:
- struct roar_buffer * inbuf, * outbuf;
- void * protoinst;
-} * g_clients[ROAR_CLIENTS_MAX];
-
-struct roard_listen;
-
-struct roard_proto {
- int proto;
- int subsystems;
- const char * description;
- struct roar_dl_lhandle * lhandle;
- int (*new_client)(int client, struct roar_vio_calls * vio, struct roard_listen * lsock);
- int (*delete_client)(int client);
- int (*check_client)(int client, struct roar_vio_calls * vio);
- int (*flush_client)(int client, struct roar_vio_calls * vio);
- int (*flushed_client)(int client, struct roar_vio_calls * vio);
-};
-
-enum roard_proto_type {
- ROARD_PROTO_TYPE_BUILDIN = 0,
-// ROARD_PROTO_TYPE_ROARDPROTO = 1, // old. Removed in 1.0beta6.
- ROARD_PROTO_TYPE_COMMON = 2
-};
-
-struct roard_proto_handle {
- int proto;
- struct roar_dl_lhandle * lhandle;
- enum roard_proto_type type;
- const struct roar_keyval * para;
- ssize_t paralen;
- union {
-  int buildin; // dummy
-  const struct roar_dl_proto * common;
- } impl;
-};
-
-#define MAX_PROTOS 16
 
 // basic functions
-int clients_init       (void);
-int clients_free       (void);
-int clients_new        (void);
-int clients_new_from_fh(int fh, int proto, int byteorder, int update_nnode);
-int clients_new_from_fh2(int fh, int proto, int byteorder,
-                         int update_nnode,
-                         struct roard_listen * lsock, struct sockaddr * sockaddr, socklen_t addrlen);
-int clients_delete     (int id);
-int clients_close      (int id, int nocheck_exec);
-int clients_set_fh     (int id, int    fh);
-int clients_set_pid    (int id, int    pid);
-int clients_set_uid    (int id, int    uid);
-int clients_set_gid    (int id, int    gid);
-int clients_set_name   (int id, const char * name);
-int clients_set_proto  (int id, int    proto);
-int clients_get        (int id, struct roar_client ** client);
-int clients_get_server (int id, struct roar_client_server ** client);
-int clients_get_fh     (int id);
 
-int clients_block      (int id, int unblock);
+int clients_init      (void);
+int clients_free      (void);
+int clients_new       (void);
+int clients_delete    (int id);
+int clients_set_fh    (int id, int    fh);
+int clients_set_pid   (int id, int    pid);
+int clients_set_name  (int id, char * name);
+int clients_get       (int id, struct roar_client ** client);
 
 // network functions
 int clients_check_all  (void);
 int clients_check      (int id);
-int clients_flush      (int id);
-int clients_send_mon   (struct roar_audio_info * sa);
-int clients_send_filter(struct roar_audio_info * sa);
-
-int clients_add_output (int id, struct roar_buffer ** buf);
-
-// proto support
-const struct roard_proto_handle * clients_get_protohandle(const int proto);
-int clients_register_proto_common(const struct roar_dl_proto * proto, struct roar_dl_lhandle * lhandle);
-int clients_unregister_proto(int proto);
-void print_protolist        (enum output_format format);
+int clients_send_mon   (struct roar_audio_info * sa, uint32_t pos);
+int clients_send_filter(struct roar_audio_info * sa, uint32_t pos);
 
 // stream functions
+
+
 int client_stream_exec   (int client, int stream);
-int client_stream_set_fh (int client, int stream, int fh);
 int client_stream_add    (int client, int stream);
 int client_stream_delete (int client, int stream);
-int client_stream_move   (int client, int stream);
-
-// notify thingys
-int  clients_wait    (int client, struct roar_event * events, size_t num);
-void clients_ncb_wait(struct roar_notify_core * core, struct roar_event * event, void * userdata);
-
-// acclev:
-enum roard_client_acclev clients_str2acclev(const char * acclev);
-const char * clients_acclev2str(const enum roard_client_acclev acclev);
 
 #endif
Index: roard/include/commands.h
===================================================================
--- roard/include/commands.h	(revision 6052)
+++ roard/include/commands.h	(revision 0)
@@ -1,26 +1,3 @@
 //commands.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- nd_exec*
- */
 
 #ifndef _COMMANDS_H_
@@ -30,26 +7,15 @@
 
 #define COMMAND_MAX_NAMELEN  80
-#define COMMAND_MAX_COMMANDS 48
-
-#define COMMAND_FLAG_NONE          0x00000000
-#define COMMAND_FLAG_OUT_CLOSECON  0x00000001
-#define COMMAND_FLAG_OUT_LONGDATA  0x00000002
-#define COMMAND_FLAG_OUT_NOSEND    0x00000004
-#define COMMAND_FLAG_OUT_DELETE    0x00000008 /* delete the client */
+#define COMMAND_MAX_COMMANDS 32
 
 struct roar_command {
  int cmd;
-#if !defined(ROAR_TARGET_MICROCONTROLLER) && !defined(ROAR_MINIMAL)
- const char name[COMMAND_MAX_NAMELEN];
-#else
- const char * name;
-#endif
- int (*handler)(int client, struct roar_message * mes, char ** data, uint32_t flags[2]);
- enum roard_client_acclev minacclev;
+ char name[COMMAND_MAX_NAMELEN];
+ int (*handler)(int client, struct roar_message * mes, char * data);
 };
 
 int command_get_id_by_cmd (int command);
-int command_exec (int client, struct roar_message * mes, char ** data, uint32_t flags[2]);
-int command_get_name (int command, const char ** name);
+int command_exec (int client, struct roar_message * mes, char * data);
+int command_get_name (int command, char ** name);
 
 #endif
Index: roard/include/driver.h
===================================================================
--- roard/include/driver.h	(revision 6052)
+++ roard/include/driver.h	(revision 0)
@@ -1,26 +1,3 @@
 //driver.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
 
 #ifndef _DRIVER_H_
@@ -32,4 +9,10 @@
 
 #ifdef ROAR_HAVE_ESD
+#define ROAR_DRIVER_DEFAULT "esd"
+#else
+#define ROAR_DRIVER_DEFAULT "null"
+#endif
+
+#ifdef ROAR_HAVE_ESD
 #include <esd.h>
 #include "driver_esd.h"
@@ -37,12 +20,4 @@
 
 #include "driver_roar.h"
-#include "driver_dstr.h"
-#include "driver_dmx.h"
-#include "driver_pwmled.h"
-
-#if defined(ROAR_HAVE_GETTIMEOFDAY) && defined(ROAR_HAVE_USLEEP)
-#define ROAR_HAVE_DRIVER_SYSCLOCK
-#include "driver_sysclock.h"
-#endif
 
 #ifdef ROAR_HAVE_LIBAO
@@ -51,118 +26,26 @@
 #endif
 
-#ifdef ROAR_HAVE_LIBSHOUT
-#include <shout/shout.h>
-#include "driver_shout.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBSNDIO
-#include <sndio.h>
-#include "driver_sndio.h"
-#endif
-
-#if defined(ROAR_HAVE_OSS_BSD) || defined(ROAR_HAVE_OSS)
-#if defined(__OpenBSD__) || defined(__NetBSD__)
-#include <soundcard.h>
-#else
-#include <sys/soundcard.h>
-#endif
-#include <sys/ioctl.h>
-
-#include "driver_oss.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBRSOUND
-#ifdef _DRV_NEED_RSOUND_H
-#include <rsound.h>
-#endif
-#include "driver_rsound.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBPORTAUDIO
-#include <portaudio.h>
-#ifdef ROAR_HAVE_LIBPABLIO
-#include <pablio/pablio.h>
-#endif
-#include "driver_portaudio.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBASOUND
-#include <alsa/asoundlib.h>
-#include "driver_alsa.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBWINMM
-#include <windows.h>
-#include <mmsystem.h>
-#include "driver_wmm.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBPULSE
-#include <pulse/simple.h>
-#include <pulse/error.h>
-#include "driver_pulsesimple.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBJACK
-#include <jack/jack.h>
-#include <jack/transport.h>
-#include "driver_jack.h"
-#endif
-
-#ifdef ROAR_HAVE_LIBARTSC
-#include <kde/artsc/artsc.h>
-#include "driver_artsc.h"
-#endif
-
-#if !defined(ROAR_WITHOUT_VIO_DSTR) && !defined(ROAR_WITHOUT_DCOMP_DMX) && defined(ROAR_HAVE_H_LINUX_I2C) && defined(ROAR_HAVE_H_LINUX_I2C_DEV) && defined(ROAR_HAVE_CONST_I2C_SMBUS_I2C_BLOCK_BROKEN)
-#define ROAR_HAVE_DRIVER_I2CDMX
-int driver_i2cdmx_open_vio  (struct roar_vio_calls * inst, char * device, struct roar_audio_info * info, int fh, struct roar_stream_server * sstream);
-#endif
-
-#define DRV_FLAG_NONE           0x00
-#define DRV_FLAG_FHSEC          0x01
-
-#define ROAR_DRIVER_CTL_NOOP            ROAR_STREAM_CTL_COMP_DRV|0x0000 /* noop... */
-#define ROAR_DRIVER_CTL_BASE            ROAR_STREAM_CTL_COMP_DRV|0x0000 /* Base ops... */
-
-#define ROAR_DRIVER_CTL_SET             0x0002
-#define ROAR_DRIVER_CTL_GET             0x0003
-
-#define ROAR_DRIVER_CTL_RECORD          0x0010
-#define ROAR_DRIVER_CTL_SET_RECORD      ROAR_DRIVER_CTL_BASE|ROAR_DRIVER_CTL_RECORD|ROAR_DRIVER_CTL_SET
-
-
-#define ROAR_DRIVER_CTL2CMD(x)          ((x) & (~ROAR_STREAM_CTL_COMP_DRV))
-
-
-
 struct roar_driver {
  char * name;
  char * desc;
  char * devices;
- unsigned int mode;
- unsigned int flags;
- unsigned int subsystems;
  int (*open )(DRIVER_USERDATA_T * inst, char * device, struct roar_audio_info * info);
  int (*close)(DRIVER_USERDATA_T   inst);
- int (*vio_init)(struct roar_vio_calls * calls, char * device, struct roar_audio_info * info, int fh, struct roar_stream_server * sstream);
+ int (*pause)(DRIVER_USERDATA_T   inst, int newstate);
+ int (*write)(DRIVER_USERDATA_T   inst, char * buf, int len);
+ int (*read )(DRIVER_USERDATA_T   inst, char * buf, int len);
+ int (*flush)(DRIVER_USERDATA_T   inst);
 };
 
-void print_driverlist (enum output_format format);
+void print_driverlist (void);
 
-int driver_openvio(struct roar_vio_calls * calls,
+int driver_open (DRIVER_USERDATA_T * inst,
                  int * driver_id, char * driver /* NOTE: this is not part of struct roar_driver's def! */,
-                 char * device, struct roar_audio_info * info, int fh,
-                 struct roar_stream_server * sstream);
-
-int driver_closevio(struct roar_vio_calls * calls, int driver);
-int driver_set_volume(int stream, struct roar_mixer_settings * mixer);
-
-// opening a cdriver
-#ifndef ROAR_WITHOUT_DCOMP_CDRIVER
-int driver_cdriver_open(struct roar_vio_calls * inst, char * device, struct roar_audio_info * info, int fh, struct roar_stream_server * sstream);
-#endif
-
-int  driver_dummy_ctl(struct roar_vio_calls * vio, roar_vio_ctl_t cmd, void * data);
+                 char * device, struct roar_audio_info * info);
+int driver_close(DRIVER_USERDATA_T   inst, int driver);
+int driver_pause(DRIVER_USERDATA_T   inst, int driver, int newstate);
+int driver_write(DRIVER_USERDATA_T   inst, int driver, char * buf, int len);
+int driver_read (DRIVER_USERDATA_T   inst, int driver, char * buf, int len);
+int driver_flush(DRIVER_USERDATA_T   inst, int driver);
 
 #endif
Index: roard/include/driver_ao.h
===================================================================
--- roard/include/driver_ao.h	(revision 6052)
+++ roard/include/driver_ao.h	(revision 0)
@@ -1,33 +1,13 @@
 //driver_ao.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
 
 #ifndef _DRIVER_AO_H_
 #define _DRIVER_AO_H_
 
-int driver_ao_open_vio(struct roar_vio_calls * inst, char * device, struct roar_audio_info * info, int fh, struct roar_stream_server * sstream);
-ssize_t driver_ao_write(struct roar_vio_calls * vio, void *buf, size_t count);
-int driver_ao_close(struct roar_vio_calls * vio);
+int driver_ao_open(DRIVER_USERDATA_T * inst, char * device, struct roar_audio_info * info);
+int driver_ao_close(DRIVER_USERDATA_T   inst);
+int driver_ao_pause(DRIVER_USERDATA_T   inst, int newstate);
+int driver_ao_write(DRIVER_USERDATA_T   inst, char * buf, int len);
+int driver_ao_read(DRIVER_USERDATA_T   inst, char * buf, int len);
+int driver_ao_flush(DRIVER_USERDATA_T   inst);
 
 #endif
Index: roard/include/driver_esd.h
===================================================================
--- roard/include/driver_esd.h	(revision 6052)
+++ roard/include/driver_esd.h	(revision 0)
@@ -1,31 +1,13 @@
 //driver_esd.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
 
 #ifndef _DRIVER_ESD_H_
 #define _DRIVER_ESD_H_
 
-int driver_esd_open_vio(struct roar_vio_calls * inst, char * device, struct roar_audio_info * info, int fh, struct roar_stream_server * sstream);
+int driver_esd_open(DRIVER_USERDATA_T * inst, char * device, struct roar_audio_info * info);
+int driver_esd_close(DRIVER_USERDATA_T   inst);
+int driver_esd_pause(DRIVER_USERDATA_T   inst, int newstate);
+int driver_esd_write(DRIVER_USERDATA_T   inst, char * buf, int len);
+int driver_esd_read(DRIVER_USERDATA_T   inst, char * buf, int len);
+int driver_esd_flush(DRIVER_USERDATA_T   inst);
 
 #endif
Index: roard/include/driver_roar.h
===================================================================
--- roard/include/driver_roar.h	(revision 6052)
+++ roard/include/driver_roar.h	(revision 0)
@@ -1,31 +1,13 @@
-//driver_roar.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
+//driver_esd.h:
 
 #ifndef _DRIVER_ROAR_H_
 #define _DRIVER_ROAR_H_
 
-int driver_roar_open_vio(struct roar_vio_calls * inst, char * device, struct roar_audio_info * info, int fh, struct roar_stream_server * sstream);
+int driver_roar_open(DRIVER_USERDATA_T * inst, char * device, struct roar_audio_info * info);
+int driver_roar_close(DRIVER_USERDATA_T   inst);
+int driver_roar_pause(DRIVER_USERDATA_T   inst, int newstate);
+int driver_roar_write(DRIVER_USERDATA_T   inst, char * buf, int len);
+int driver_roar_read(DRIVER_USERDATA_T   inst, char * buf, int len);
+int driver_roar_flush(DRIVER_USERDATA_T   inst);
 
 #endif
Index: roard/include/mixer.h
===================================================================
--- roard/include/mixer.h	(revision 6052)
+++ roard/include/mixer.h	(revision 0)
@@ -1,26 +1,3 @@
-//mixer.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
+//output.h:
 
 #ifndef _MIXER_H_
@@ -29,11 +6,9 @@
 #include <roaraudio.h>
 
-#define _MIXER_NAME_PREFIX ""
-#define _MIXER_NAME_SUFFIX " Mixer"
-#define _MIXER_NAME(x)     (_MIXER_NAME_PREFIX x _MIXER_NAME_SUFFIX)
-
-int need_vol_change  (int channels, struct roar_mixer_settings * set);
-
-int add_mixer (int subsys, char * name, struct roar_stream_server ** ss_ptr);
+int mix_clients       (void * output, int bits, void ** input, int samples);
+int mix_clients_8bit  (void * output, void ** input, int samples);
+int mix_clients_16bit (void * output, void ** input, int samples);
+int mix_clients_24bit (void * output, void ** input, int samples);
+int mix_clients_32bit (void * output, void ** input, int samples);
 
 #endif
Index: roard/include/network.h
===================================================================
--- roard/include/network.h	(revision 6052)
+++ roard/include/network.h	(revision 0)
@@ -1,26 +1,3 @@
 //network.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
 
 #ifndef _NETWORK_H_
@@ -31,7 +8,5 @@
 int net_check_listen  (void);
 
-struct roard_listen;
-
-int net_get_new_client (struct roard_listen * lsock);
+int net_get_new_client (void);
 
 #endif
Index: roard/include/output.h
===================================================================
--- roard/include/output.h	(revision 6052)
+++ roard/include/output.h	(revision 0)
@@ -1,26 +1,3 @@
 //output.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
 
 #ifndef _OUTPUT_H_
@@ -29,47 +6,13 @@
 #include <roaraudio.h>
 
-// NOTE: we do not set ROAR_OUTPUT_BUFFER_SAMPLES depending on DEBUG anymore
-//       as it caused a lot problems with partly enabled debugging
-
-#ifdef ROAR_OUTPUT_CFREQ
-#define ROAR_OUTPUT_BUFFER_SAMPLES (ROAR_RATE_DEFAULT/ROAR_OUTPUT_CFREQ)
-#else
-// in normal case we use 100 cycles per sec, as we do not know the sample
-// rate at compile time we guess it's normaly the default rate.
-// on OpenBSD we need to set a lower freq, use 20 cycles per sec here as
-// it seems to work.
-// FIXME: find out what the problem is and how to fix
-#ifdef ROAR_OS_OPENBSD
-#define ROAR_OUTPUT_BUFFER_SAMPLES (ROAR_RATE_DEFAULT/20)
-#define ROAR_OUTPUT_CFREQ          20
-#else
-#define ROAR_OUTPUT_BUFFER_SAMPLES (ROAR_RATE_DEFAULT/100)
-#define ROAR_OUTPUT_CFREQ          100
-#endif
-
-#endif
-
+//#define ROAR_OUTPUT_BUFFER_SAMPLES 1024
+//#define ROAR_OUTPUT_BUFFER_SAMPLES 1024
+#define ROAR_OUTPUT_BUFFER_SAMPLES 441
 #define ROAR_OUTPUT_WRITE_SIZE     1024
 
-//#define ROAR_OUTPUT_CALC_OUTBUFSIZE(x)   (ROAR_OUTPUT_BUFFER_SAMPLES * (x)->channels * ((x)->bits / 8) * ((float)(x)->rate/g_sa->rate))
-// First rounds the samples count, and makes sure that the outbuffer size is divisible by the framesize (channels * bits/8)
-#define ROAR_OUTPUT_CALC_OUTBUFSIZE(x)   ( \
-                                          ( \
-                                           (int)(ROAR_OUTPUT_BUFFER_SAMPLES * ((float)(x)->rate/g_sa->rate) + 0.5) \
-                                          ) * \
-                                          (x)->channels * ((x)->bits / 8) \
-                                         )
+#define ROAR_OUTPUT_CALC_OUTBUFSIZE(x) (ROAR_OUTPUT_BUFFER_SAMPLES * (x)->channels * ((x)->bits / 8))
 
-#define ROAR_OUTPUT_CALC_OUTBUFSAMP(x,y) ((y) / ((x)->channels * ((x)->bits / 8)*((float)(x)->rate/g_sa->rate)))
-#define ROAR_OUTPUT_CALC_OUTBUFSIZE_MAX(x0,x1)  (ROAR_OUTPUT_BUFFER_SAMPLES                                  * \
-                                                  ROAR_MAX((x0)->channels,(x1)->channels)                    * \
-                                                 (ROAR_MAX((x0)->bits,    (x1)->bits    ) / 8)               * \
-                                                 (ROAR_MAX((float)(x0)->rate,(float)(x1)->rate)/g_sa->rate)    \
-                                                )
-
-extern void         * g_output_buffer;
-extern void         * g_input_buffer;
-extern size_t         g_output_buffer_len;
-#define        g_input_buffer_len g_output_buffer_len
+void         * g_output_buffer;
+unsigned int   g_output_buffer_len;
 
 int output_buffer_init   (struct roar_audio_info * info);
@@ -77,6 +20,5 @@
 int output_buffer_free   (void);
 
-int output_add         (char * drv, char * dev, char * opts, int prim, int count);
-int output_add_default (char * drv, char * dev, char * opts, int prim, int count);
+int output_buffer_flush  (DRIVER_USERDATA_T inst, int driver);
 
 #endif
